Bug 306911 - (CVE-2006-4145) CVE-2006-4145 UDF truncating issue
CVE-2006-4145 UDF truncating issue
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
i386 Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,source=lkml,reported=20060...
: Security
Depends On: 202765 202766 202767 202768 247931
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-26 09:18 EDT by Mark J. Cox (Product Security)
Modified: 2011-09-29 12:49 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-09-29 12:48:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark J. Cox (Product Security) 2007-09-26 09:18:59 EDT
Report from LKML:

UDF has bugs on truncating. When doing:

    dd if=/dev/zero of=aaa bs=1024k count=2 seek=3000

Linux will hang and die.

The current upstream patch needs further work:
http://marc.theaimsgroup.com/?l=linux-fsdevel&m=115736441315952&w=2
Comment 1 Mark J. Cox (Product Security) 2007-09-26 09:22:36 EDT
Note already fixed in 2.6.18 and didn't affect Red Hat Enterprise Linux 5.
Comment 3 Joshua Giles 2008-06-25 10:07:32 EDT
Patch Verifed
Comment 17 Kurt Seifried 2011-09-29 12:48:35 EDT
This issue has been addressed in following products:

  Red Hat Linux Enterprise 4
  
Via RHSA-2008:0665 available at https://rhn.redhat.com/errata/RHSA-2008-0665.html

Note You need to log in before you can comment on or make changes to this bug.